import axios from "@/utils/request";

export function getDeviceInspectPlanList(params) {
  return axios({
    url: "/udiwms/inv/device/inspect/plan/filter",
    method: "get",
    params: params
  });
}

export function saveDeviceInspectPlan(data, formName) {
  return axios({
    url: formName === "add" ? "/udiwms/inv/device/inspect/plan/addInspectPlan" : "/udiwms/inv/device/inspect/plan/updateInspectPlan",
    method: "post",
    data: data
  });
}

export function submitAudit(data){
  return axios({
    url: "/udiwms/inv/device/inspect/plan/submitAudit",
    method: "post",
    data: data
  });
}

export function updateStatus(data) {
  return axios({
    url: "/udiwms/inv/device/inspect/plan/updateStatus",
    method: "post",
    data: data
  });
}

export function deleteInspectPlan(data){
  return axios({
    url: "/udiwms/inv/device/inspect/plan/deleteInspectPlan",
    method: "post",
    data: data
  });
}
